> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.trykeet.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.trykeet.com/_mcp/server.

# Get Product

GET https://api.trykeet.com/v1/aesthetic-records/products/{productId}

Get a product

Reference: https://docs.trykeet.com/api-reference/api-reference/integrations/aesthetic-records/get-product

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `productId` (integer, required)

### Headers

- `X-Account-Token` (string, required) — The account token that is associated with the end user linked to this account

## Response

### 200

- `status` (enum, required)
  - Allowed values: `ok`, `error`
- `product` (AestheticRecordsProduct, required)

## Errors

### 401 Un Authorized Error

- `error` (string, required)

### 500 Internal Server Error

- `error` (string, required)

### 404 Not Found Error

- `error` (string, required)

### 400 Bad Request Error

- `error` (string, required)

### 500 Not Implemented Error

- `error` (string, required)

## Types

### AestheticRecordsProduct

- `id` (integer, required)
- `category_id` (string, required)
- `product_name` (string, required)
- `product_type` (string, required)
- `is_system_product` (integer, required)
- `available_stock` (integer, required)
- `stock_alert` (integer, required)
- `toxin_type` (string, required)
- `status` (integer, required)
- `cost_to_company` (double, required)
- `product_inventory` (any, required)
- `batch_id` (any, optional)
- `match_pattern` (any, optional)
- `product_sku` (any, optional)
- `product_description` (string, optional)
- `product_image` (any, optional)
- `tax` (integer, optional)
- `type` (string, optional)
- `product_type_label` (string, optional)
- `price_per_unit` (double, optional)
- `cost_per_unit` (double, optional)
- `lab_id` (any, optional)
- `fillerMoleculeId` (any, optional)
- `price` (double, optional)
- `copied` (integer, optional)
- `system_product_id` (integer, optional)
- `is_new_product` (integer, optional)
- `created` (string, optional)
- `modified` (string, optional)
- `is_inventory_enabled` (integer, optional)
- `is_stock_inventory_enabled` (integer, optional)
- `is_supplier_enabled` (integer, optional)
- `is_tax_enabled` (integer, optional)
- `is_product_active` (integer, optional)
- `price_per_unit_members` (any, optional)
- `count_units_by` (double, optional)
- `start_at_unit` (double, optional)
- `product_ratio_enabled` (integer, optional)
- `ratio` (integer, optional)
- `product_service` (string, optional)
- `keywords` (string, optional)
- `bill_for_whole_unit` (integer, optional)
- `account_medical_supplies_in_reports` (integer, optional)
- `is_autodeduct_enabled` (integer, optional)
- `product_per_clinic` (integer, optional)
- `is_evolus_product` (boolean, optional)
- `shopify_product_id` (integer, optional)
- `shopify_product_variant_id` (integer, optional)
- `shopify_default_clinic_id` (integer, optional)
- `inventory_type` (any, optional)
- `cat_id` (integer, optional)
- `category_name` (string, optional)
- `product_image_url` (string, optional)
- `category` (AestheticRecordsCategory, optional)
- `total_available_units` (integer, optional)
- `product_price_per_clinic` (list of AestheticRecordsProductPrice, optional)

### AestheticRecordsCategory

- `id` (integer, required)
- `category_name` (string, required)
- `tax` (integer, optional)
- `is_system_category` (integer, optional)
- `status` (integer, optional)
- `copied` (integer, optional)
- `system_category_id` (integer, optional)
- `created` (string, optional)
- `modified` (string, optional)
- `cat_status` (integer, optional)
- `is_bundle_category` (integer, optional)

### AestheticRecordsProductPrice

- `id` (integer, required)
- `price_per_unit_members` (integer, required)
- `price_per_unit` (integer, required)
- `product_name` (string, optional)
- `category_id` (string, optional)
- `category_name` (string, optional)
- `product_price_per_clinic_id` (integer, optional)
- `product_image_url` (string, optional)

## Examples

**Response**

```json
{
  "status": "ok",
  "product": {
    "id": 1,
    "category_id": "category_id",
    "product_name": "product_name",
    "product_type": "product_type",
    "is_system_product": 1,
    "available_stock": 1,
    "stock_alert": 1,
    "toxin_type": "toxin_type",
    "status": 1,
    "cost_to_company": 1.1,
    "product_inventory": {
      "key": "value"
    },
    "batch_id": {
      "key": "value"
    },
    "match_pattern": {
      "key": "value"
    },
    "product_sku": {
      "key": "value"
    },
    "product_description": "product_description",
    "product_image": {
      "key": "value"
    },
    "tax": 1,
    "type": "type",
    "product_type_label": "product_type_label",
    "price_per_unit": 1.1,
    "cost_per_unit": 1.1,
    "lab_id": {
      "key": "value"
    },
    "fillerMoleculeId": {
      "key": "value"
    },
    "price": 1.1,
    "copied": 1,
    "system_product_id": 1,
    "is_new_product": 1,
    "created": "created",
    "modified": "modified",
    "is_inventory_enabled": 1,
    "is_stock_inventory_enabled": 1,
    "is_supplier_enabled": 1,
    "is_tax_enabled": 1,
    "is_product_active": 1,
    "price_per_unit_members": {
      "key": "value"
    },
    "count_units_by": 1.1,
    "start_at_unit": 1.1,
    "product_ratio_enabled": 1,
    "ratio": 1,
    "product_service": "product_service",
    "keywords": "keywords",
    "bill_for_whole_unit": 1,
    "account_medical_supplies_in_reports": 1,
    "is_autodeduct_enabled": 1,
    "product_per_clinic": 1,
    "is_evolus_product": true,
    "shopify_product_id": 1,
    "shopify_product_variant_id": 1,
    "shopify_default_clinic_id": 1,
    "inventory_type": {
      "key": "value"
    },
    "cat_id": 1,
    "category_name": "category_name",
    "product_image_url": "product_image_url",
    "category": {
      "id": 1,
      "category_name": "category_name",
      "tax": 1,
      "is_system_category": 1,
      "status": 1,
      "copied": 1,
      "system_category_id": 1,
      "created": "created",
      "modified": "modified",
      "cat_status": 1,
      "is_bundle_category": 1
    },
    "total_available_units": 1,
    "product_price_per_clinic": [
      {
        "id": 1,
        "price_per_unit_members": 1,
        "price_per_unit": 1,
        "product_name": "product_name",
        "category_id": "category_id",
        "category_name": "category_name",
        "product_price_per_clinic_id": 1,
        "product_image_url": "product_image_url"
      },
      {
        "id": 1,
        "price_per_unit_members": 1,
        "price_per_unit": 1,
        "product_name": "product_name",
        "category_id": "category_id",
        "category_name": "category_name",
        "product_price_per_clinic_id": 1,
        "product_image_url": "product_image_url"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.trykeet.com/v1/aesthetic-records/products/1"

headers = {
    "X-Account-Token": "X-Account-Token",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.trykeet.com/v1/aesthetic-records/products/1';
const options = {
  method: 'GET',
  headers: {'X-Account-Token': 'X-Account-Token', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.trykeet.com/v1/aesthetic-records/products/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Account-Token", "X-Account-Token")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.trykeet.com/v1/aesthetic-records/products/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Account-Token"] = 'X-Account-Token'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.trykeet.com/v1/aesthetic-records/products/1")
  .header("X-Account-Token", "X-Account-Token")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.trykeet.com/v1/aesthetic-records/products/1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'X-Account-Token' => 'X-Account-Token',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.trykeet.com/v1/aesthetic-records/products/1");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Account-Token", "X-Account-Token");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Account-Token": "X-Account-Token",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.trykeet.com/v1/aesthetic-records/products/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```